在新的SQL版本上执行旧的SSIS包。

我有一些SSIS包,在SQL Server 2008中开发。这些包有ActiveX脚本任务。当我试图在VS 2017中打开这些包时,它抛出一个错误,说ActiveX任务已被废弃。将这些任务转换为脚本任务真的很耗时。

有没有办法在SQL Server Agent中执行那些包?我们使用的是SQL Server 2016标准版。

我试过从文件系统执行,但也抛出了一个错误。

“Microsoft.SqlServer.Dts.Tasks.ActiveXScriptTask.ActiveXScriptTask,Microsoft.SqlServer.ActiveXScriptTask,Version=12.0.0.0,Culture=neutral,PublicKeyToken=89845dcd8080cc91 “任务已经被废弃,不能与这个版本的集成服务一起使用。

我现在真的不需要升级这些包,我仍然可以使用Business Intelligence 2008来维护它们。我只需要它们能在SQL Server 2016实例上运行。

谢谢您的时间和帮助

解决方案:

很遗憾,SQL Server在错误信息中很简单地告诉你答案。

它是被废弃的,不能使用。

给TA打赏
共{{data.count}}人
人已打赏
未分类

MarkLogic JSearch可以使用持久化的搜索选项吗?

2022-9-9 9:10:18

未分类

我如何在iText中改变pdfsignature的矩形样式和默认字段描述?

2022-9-9 9:10:20

0 条回复 A文章作者 M管理员
    暂无讨论,说说你的看法吧
个人中心
购物车
优惠劵
今日签到
有新私信 私信列表
搜索